# TrickCardGameService (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.trick.client
Interface TrickCardGameService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  TrickCardGameMarshaller

    public interface TrickCardGameService

extends com.threerings.presents.client.InvocationService

Service calls related to trick card games.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService
`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

Method Summary
`void` `playCard(Card card, int handSize)` Plays a card in the trick.
`void` `requestRematch()` A request for a rematch.
`void` `sendCardsToPlayer(int toidx, Card[] cards)` Sends a group of cards to the player at the specified index.

Method Detail

### sendCardsToPlayer

    void sendCardsToPlayer(int toidx,
                           Card[] cards)

  Sends a group of cards to the player at the specified index.

  Parameters:
    `toidx` - the index of the player to send the cards to
    `cards` - the cards to send

### playCard

    void playCard(Card card,
                  int handSize)

  Plays a card in the trick.

  Parameters:
    `card` - the card to play
    `handSize` - the size of the player's hand, which is used to verify that the request is for the current trick

### requestRematch

    void requestRematch()

  A request for a rematch.

Copyright © 2011. All Rights Reserved.